<?php

namespace stripe\helpers;

class stripe_price
{
    protected int $product_id;
    protected int $unit_amount;
    protected string $currency;
    protected string $id;


    public function __construct(int $product_id, int $unit_amount, string $currency = 'DKK')
    {
        $this->product_id = $product_id;
        $this->unit_amount = $unit_amount;
        $this->currency = $currency;
    }

    public function getProductID(): int
    {
        return $this->product_id;
    }

    public function getUnitAmount(): int
    {
        return $this->unit_amount;
    }

    public function getCurrency(): string
    {
        return $this->currency;
    }


}